#include <Adafruit_GFX.h>
#include <Adafruit_ST7789.h>
#include <SPI.h>

#define TFT_RST 8
#define TFT_CS 10
#define TFT_DC 9

Adafruit_ST7789 tft = Adafruit_ST7789(TFT_CS, TFT_DC, TFT_RST);



void setup() {
  // put your setup code here, to run once:
tft.init(240, 320, SPI_MODE3);
tft.setRotation(1);

tft.fillScreen(ST77XX_BLACK);
}

void loop() {
  // put your main code here, to run repeatedly:

tft.setCursor(0, 0);
tft.setTextColor(ST77XX_RED);
tft.println("Bolt rulez!!");
}

/* LED = 3v3
SCK = 13
SDA = 11
AO = 9
RESET = 8
CS = 10
GND = GND
VCC = 5v
*/